<bugID>341429<Summary>Merge "Go" button with location bar</Summary><Description>Merge the "Go" button into the location bar as described in FF2 UI specs.

I'm surprised this isn't filed yet, but I can't find it.</Description></bugID>